Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

Update employee bank account information

Updates employee bank account details. All fields are optional - only provided fields will be updated.

What can be updated:

  • IBAN (International Bank Account Number)
  • BIC (Bank Identifier Code)
  • Bank name
  • Account owner name

Note: This endpoint is only available for employee accounts. Bank data is typically used for payroll processing.

POST/account/employee/bank-data
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
bankAccountBICobject
Bank BIC code
bankAccountIBANobject
Bank IBAN
bankAccountNameobject
Bank name
bankAccountOwnerobject
Account owner name
Responses
200
successbooleanrequired
Operation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Employee not found
Request
curl -X POST "https://leadtime.app/api/public/account/employee/bank-data" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "bankAccountBIC": "DEUTDEFF",
  "bankAccountIBAN": "DE89370400440532013000",
  "bankAccountName": "Deutsche Bank",
  "bankAccountOwner": "John Doe"
}'
Response
{
  "success": true
}